org.eclipse.net4j.signal.confirmation

## Class ConfirmationRequest

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalActor
    - - org.eclipse.net4j.signal.RequestWithConfirmation<RESULT>
      - - org.eclipse.net4j.signal.RequestWithMonitoring<Confirmation>
        - - org.eclipse.net4j.signal.confirmation.ConfirmationRequest

- All Implemented Interfaces:
    Runnable

      public class ConfirmationRequest
      extends RequestWithMonitoring<Confirmation>

  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.RequestWithMonitoring

      `DEFAULT_CANCELATION_POLL_INTERVAL, DEFAULT_MONITOR_PROGRESS_SECONDS, DEFAULT_MONITOR_TIMEOUT_SECONDS`

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfirmationRequest(SignalProtocol<?> protocol, Enum<?> literal, ConfirmationPrompt prompt)`
    `ConfirmationRequest(SignalProtocol<?> protocol, short signalID, ConfirmationPrompt prompt)`
    `ConfirmationRequest(SignalProtocol<?> protocol, short signalID, String name, ConfirmationPrompt prompt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Confirmation` | `confirming(ExtendedDataInputStream in, OMMonitor monitor)` Important Note: The confirmation must not be empty, i.e.
    `protected void` | `requesting(ExtendedDataOutputStream out, OMMonitor monitor)`

    - ### Methods inherited from class org.eclipse.net4j.signal.RequestWithMonitoring

      `confirming, getCancelationExecutorService, getCancelationPollInterval, getConfirmingWorkPercent, getMonitorProgressSeconds, getMonitorTimeoutSeconds, getRequestingWorkPercent, requesting, send, send, send, send, sendAsync, sendAsync`

    - ### Methods inherited from class org.eclipse.net4j.signal.RequestWithConfirmation

      `getAsyncExecutorService`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalActor

      `execute`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfirmationRequest

          public ConfirmationRequest(SignalProtocol<?> protocol,
                                     short signalID,
                                     String name,
                                     ConfirmationPrompt prompt)

    - #### ConfirmationRequest

          public ConfirmationRequest(SignalProtocol<?> protocol,
                                     short signalID,
                                     ConfirmationPrompt prompt)

    - #### ConfirmationRequest

          public ConfirmationRequest(SignalProtocol<?> protocol,
                                     Enum<?> literal,
                                     ConfirmationPrompt prompt)

  - ### Method Detail

    - #### requesting

          protected void requesting(ExtendedDataOutputStream out,
                                    OMMonitor monitor)
                             throws Exception

      Specified by:
        `requesting` in class `RequestWithMonitoring<Confirmation>`
      Throws:
        `Exception`

    - #### confirming

          protected Confirmation confirming(ExtendedDataInputStream in,
                                            OMMonitor monitor)
                                     throws Exception

      Description copied from class: `RequestWithMonitoring`
      Important Note: The confirmation must not be empty, i.e. the stream must be used at least to read a `boolean`. Otherwise synchronization problems will result!
      Specified by:
        `confirming` in class `RequestWithMonitoring<Confirmation>`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html